<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!--
IGAC proyecto SNC

@author 		felipe.cadena
@version		1.0
@description	Se usa para acceder a la consulta de carga de trabajo desde el menu
                        
@cu 			CU-SA-AC-010 

  
@ManagedBean 	ConsultaCargaTrabajoMB
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:fn="http://java.sun.com/jsp/jstl/functions"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                template="../../templates/generalCU.xhtml"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Consultar Carga de Trabajo::.
    </ui:define>

    <ui:define name="content">

        <h:panelGrid width="100%">

            <ui:include src="/avaluos/asignacion/consultaCargaTrabajo.xhtml"/>

            <h:form>
                <p:outputPanel layout="block" style="text-align:right">
                    <p:commandButton value="Cerrar"
                                     action="#{consultaCargaTrabajo.cerrar}"
                                     icon="ui-icon-circle-close" immediate="true" ajax="false"/>
                    <p:spacer height="0" width="20" />
                </p:outputPanel>
            </h:form>

        </h:panelGrid>

        <p:dialog widgetVar="avaluosWV" header="Avalúos"
                  appendToBody="true" closable="true" minimizable="false"
                  id="avaluosDialog"  modal="true"
                  dynamic="true" width="900">
            <ui:include src="/avaluos/asignacion/detalleAvaluosProfesional.xhtml">
                <ui:param name="managedBeanParam" value="#{consultaCargaTrabajo}"/>
                <ui:param name="tituloParam" value="#{consultaCargaTrabajo.tituloConsultaAvaluos}"/>
                <ui:param name="avaluosRealizadosParam" value="#{consultaCargaTrabajo.banderaAvaluosRealizados}"/>
                <ui:param name="controlCalidadParam" value="#{consultaCargaTrabajo.banderaControlCalidad}"/>
            </ui:include>

        </p:dialog>
        <p:dialog widgetVar="historicoWV" header="Histórico avalúos"
                  appendToBody="true" closable="true" minimizable="false"
                  id="historicoDialog"  modal="true"
                  dynamic="true" width="900">
            <ui:include src="/avaluos/asignacion/historicoAvaluos.xhtml"/>


        </p:dialog>

        <p:dialog widgetVar="infoDeptosMunisWV" header="Municipios y departamentos asociados al avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  id="deptoDialog"  modal="true"
                  dynamic="true" width="500">
            <ui:include src="/avaluos/transversal/consultarDepartamentosMunicipiosAvaluo.xhtml"/>
        </p:dialog>

        <p:dialog widgetVar="prediosWV" header="Información predial del avalúo"
                  appendToBody="true" closable="true" minimizable="false"
                  id="pdsDialog"  modal="true"
                  dynamic="true" width="900">
            <ui:include src="/avaluos/transversal/consultarInformacionPredial.xhtml">
                <ui:param name="detallesPredioCadenaIdsParam"
                          value=":dpCC:detallesPredioTV" />
            </ui:include>
        </p:dialog>

        <predio:detallesPredioCC id="dpCC" thisWVName="detallesPredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="false"
                                 mostrarFichaPredial="true"
                                 thisIdPlusColon=":dpCC" />

        <ui:include src="/util/visorGeografico.xhtml" />

    </ui:define> 

</ui:composition>